=== docs/requirements.txt ===
sphinx>=4.3.0
sphinx-jsonschema
sphinx-prompt
pathlib
sphinx-rtd-theme>=0.5.1
