=== debian/changelog ===
lnav (0.11.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 31 Mar 2023 16:25:21 +0200

lnav (0.11.1-2) unstable; urgency=medium

  * Add Build-Depends on tzdata.
    Thanks to Santiago Vila (Closes: #1029426)
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.6.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 22 Jan 2023 20:41:56 +0100

lnav (0.11.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 16 Nov 2022 09:09:42 +0100

lnav (0.11.1-1~exp2) experimental; urgency=medium

  * Produce no debug information for mipsel builds (Closes: #1021665)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 15 Nov 2022 16:39:16 +0100

lnav (0.11.1-1~exp1) experimental; urgency=medium

  * New upstream version 0.11.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Oct 2022 23:21:15 +0200

lnav (0.11.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream version 0.11.1~rc1
  * Update copyright stanzas for upstream included files
  * debian/watch: Add uversionmangle to be able to import rc versions as well
  * Drop "remove unnecessary include that is triggering a compile error on
    some archs"
  * Drop "Disable the 'truncate_to' test (causes FTBFS on s390x)"
  * d/control: Switch Build-Depends to libpcre2-dev (Closes: #1000078)
  * d/rules: Install NEWS.md as upstream changelog (renamed from NEWS
    upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 08 Oct 2022 19:11:40 +0200

lnav (0.11.0-1~exp2) experimental; urgency=medium

  * remove unnecessary include that is triggering a compile error on some
    archs

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Sep 2022 15:01:26 +0200

lnav (0.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.11.0
  * Refresh "Prefer /var/log/syslog over /var/log/messages"
  * debian/watch: Switch to watch tagged versions on github releases page
  * Refresh "Disable test_mvwattrline test"
  * Refresh "Disable failing test_vt52_curses test"
  * Refresh "Disable broken test_logfile.sh test"
  * Refresh "Disable test_sql completely as contains time dependent tests"
  * Refresh "Disable broken test_listview.sh test"
  * Drop patches applied upstream
  * Refresh "Disable the 'truncate_to' test (causes FTBFS on s390x)"
  * Update copyright years for upstream files

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 30 Sep 2022 09:17:31 +0200
