=== src/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,7 @@
         "%Y%m%d %H:%M:%S"
         "%Y%m%d.%H%M%S"
         "%H:%M:%S"
+        "%H:%M:%S.%f"
         "%M:%S"
         "%m/%d %H:%M:%S"
         "%Y-%m-%d"
