=== debian/changelog ===
lnav (0.11.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 09 Nov 2023 09:49:06 +0100

lnav (0.11.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Aug 2023 07:45:53 +0200

lnav (0.11.2-1~exp1) experimental; urgency=medium

  * New upstream version 0.11.2
    - Fixes FTBFS with gcc-13 (Closes: #1037761)
  * Drop "test_sql_str_func.sh: Correct expected output on bad IPv6 address"
  * debian/copyright: Add new stanza for freshly included file upstream

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Aug 2023 08:52:25 +0200

lnav (0.11.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 31 Mar 2023 20:40:20 +0200

lnav (0.11.1-3~exp1) experimental; urgency=medium

  * test_sql_str_func.sh: Correct expected output on bad IPv6 address
    (Closes: #1032539)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 31 Mar 2023 17:52:44 +0200
