## lnav 0.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(CMAKE_CXX_STANDARD 14)
 project(
         lnav
-        VERSION 0.11.2
-        DESCRIPTION "An advanced log file viewer for the small-scale."
+        VERSION 0.12.2
+        DESCRIPTION "An advanced log file viewer for the terminal."
         HOMEPAGE_URL "https://lnav.org/"
         LANGUAGES CXX C
 )
@@ -34,7 +34,7 @@
         readline::readline
         LibArchive::LibArchive
         ZLIB::ZLIB
-        )
+)
 
 add_subdirectory(src)
 # add_subdirectory(test)
