=== release/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-VERSION=0.11.2
+VERSION=0.12.2
 
 VERSION_TAG=v$(VERSION)
 
@@ -95,7 +95,7 @@
 
 push:
 	env LANG=UTF-8 package_cloud push tstack/lnav/ubuntu/lucid outbox/lnav*.deb
-	env LANG=UTF-8 package_cloud push tstack/lnav/el/5 outbox/lnav-0.11.2-1.x86_64.rpm
+	env LANG=UTF-8 package_cloud push tstack/lnav/el/5 outbox/lnav-0.12.1-1.x86_64.rpm
 
 clean:
 	cd vagrant-static && vagrant destroy -f
