=== src/CMakeLists.txt ===
--- 
+++ 
@@ -29,19 +29,35 @@
 
 set(TIME_FORMATS
         "@%@"
-        "%Y-%m-%d %H:%M:%S"
+        "%Y-%m-%d %H:%M:%S.%f%z"
+        "%Y-%m-%d %H:%M:%S,%f%z"
+        "%Y-%m-%d %H:%M:%S.%f %Z"
+        "%Y-%m-%d %H:%M:%S,%f %Z"
+        "%Y-%m-%d %H:%M:%S,%L%z"
+        "%Y-%m-%d %H:%M:%S,%L %z"
+        "%Y-%m-%d %H:%M:%S.%L%z"
+        "%Y-%m-%d %H:%M:%S.%L %z"
+        "%Y-%m-%d %H:%M:%S.%L %Z"
+        "%Y-%m-%d %H:%M:%S,%L"
+        "%Y-%m-%d %H:%M:%S.%L"
         "%Y-%m-%d %H:%M:%S%z"
         "%Y-%m-%d %H:%M:%S %z"
+        "%Y-%m-%d %H:%M:%S:%L"
+        "%Y-%m-%d %H:%M:%S"
         "%Y-%m-%d %H:%M"
         "%Y-%m-%dT%H:%M:%S.%f%z"
         "%y-%m-%dT%H:%M:%S.%f%z"
-        "%Y-%m-%dT%H:%M:%SZ"
+        "%Y-%m-%dT%H:%M:%S.%L%z"
+        "%y-%m-%dT%H:%M:%S.%L%z"
         "%Y-%m-%dT%H:%M:%S%z"
         "%Y-%m-%dT%H:%M:%S"
         "%Y-%m-%dT%H:%M:%S%z"
-        "%Y/%m/%d %H:%M:%S"
+        "%Y-%m-%dT%H:%M"
         "%Y/%m/%d %H:%M:%S %z"
         "%Y/%m/%d %H:%M:%S%z"
+        "%Y/%m/%d %H:%M:%S.%f"
+        "%Y/%m/%d %H:%M:%S.%L"
+        "%Y/%m/%d %H:%M:%S"
         "%Y/%m/%d %H:%M"
         "%Y %b %d %a %H:%M:%S.%L"
         "%Y %b %d %H:%M:%S.%L"
@@ -49,28 +65,38 @@
         "%a %b %d %H:%M:%S %Y"
         "%a %b %d %H:%M:%S.%f %Y"
         "%a %b %d %H:%M:%S %Z %Y"
+        "%a %b %d %I:%M:%S %p %Z %Y"
         "%a %b %d %H:%M:%S "
         "%a %b %d %H:%M:%S.%L "
         "%a %b %d %H:%M "
         "%a %b %e %H:%M:%S %Z %Y"
-        "%d/%b/%Y:%H:%M:%S +0000"
         "%d/%b/%Y:%H:%M:%S %z"
         "%d-%b-%Y %H:%M:%S %z"
         "%d-%b-%Y %H:%M:%S %Z"
         "%d %b %Y %H:%M:%S"
+        "%d %b %Y %H:%M:%S.%L%z"
+        "%d %b %Y %H:%M:%S,%L%z"
         "%d %b %Y %H:%M:%S.%L"
         "%d %b %Y %H:%M:%S,%L"
+        "%d %b %Y %H:%M"
         "%b %d %H:%M:%S"
         "%b %d %k:%M:%S"
         "%b %d %l:%M:%S"
+        "%b %d %l:%M"
         "%b %e, %Y %l:%M:%S %p"
-        "%m/%d/%y %H:%M:%S"
+        "%b %d, %Y %l:%M:%S %p"
         "%m/%d/%Y %I:%M:%S:%L %p %Z"
         "%m/%d/%Y %I:%M:%S %p %Z"
         "%m/%d/%Y %l:%M:%S %p %Z"
+        "%m/%d/%Y %I:%M:%S %p%z"
+        "%m/%d/%Y %l:%M:%S %p%z"
+        "%m/%e/%Y %l:%M:%S %p%z"
+        "%m/%e/%Y %l:%M:%S %p %z"
         "%m/%e/%Y %I:%M:%S %p"
-        "%m/%e/%Y %l:%M:%S %p"
+        "%m/%e/%Y %l:%M:%S%p"
+        "%m/%d/%y %H:%M:%S"
         "%m/%d/%Y %H:%M:%S"
+        "%d/%b/%Y %H:%M:%S"
         "%d/%b/%y %H:%M:%S"
         "%m%d %H:%M:%S"
         "%Y%m%d %H:%M:%S"
@@ -83,7 +109,8 @@
         "%Y-%m"
         "%Y/%m/%d"
         "%Y/%m"
-        "%s.%f")
+        "%s.%f"
+)
 
 set(GEN_SRCS "")
 
@@ -91,7 +118,7 @@
         time_fmts.cc)
 
 add_library(lnavdt STATIC config.h.in ptimec.hh ptimec_rt.cc time_fmts.cc)
-target_include_directories(lnavdt PUBLIC . ${CMAKE_CURRENT_BINARY_DIR})
+target_include_directories(lnavdt PUBLIC . ${CMAKE_CURRENT_BINARY_DIR} third-party/date/include)
 
 function(bin2c)
     cmake_parse_arguments(BIN2C_ "" "VARNAME" "" ${ARGN})
@@ -103,7 +130,7 @@
             DEPENDS bin2c "${FILE_TO_LINK}")
 endfunction(bin2c)
 
-foreach (FILE_TO_LINK animals.json ansi-palette.json diseases.json emojis.json xml-entities.json xterm-palette.json help.txt help.md init.sql words.json)
+foreach (FILE_TO_LINK animals.json ansi-palette.json css-color-names.json diseases.json emojis.json xml-entities.json xterm-palette.json help.txt help.md init.sql words.json)
     string(REPLACE "." "-" DST_FILE "${FILE_TO_LINK}")
     add_custom_command(
             OUTPUT "${DST_FILE}.h" "${DST_FILE}.cc"
@@ -164,6 +191,20 @@
         DEPENDS bin2c ${FORMAT_FILES})
 list(APPEND GEN_SRCS default-formats.h default-formats.cc)
 
+set(PRQL_FILES
+        prql/stats.prql
+        prql/utils.prql)
+
+set(PRQL_FILE_PATHS ${PRQL_FILES})
+
+list(TRANSFORM PRQL_FILE_PATHS PREPEND "${CMAKE_CURRENT_SOURCE_DIR}/")
+
+add_custom_command(
+        OUTPUT prql-modules.h prql-modules.cc
+        COMMAND bin2c -n lnav_prql_modules prql-modules ${PRQL_FILE_PATHS}
+        DEPENDS bin2c ${PRQL_FILES})
+list(APPEND GEN_SRCS prql-modules.h prql-modules.cc)
+
 set(CONFIG_FILES
         root-config.json
         keymaps/de-keymap.json
@@ -190,9 +231,15 @@
 list(APPEND GEN_SRCS default-config.h default-config.cc)
 
 set(BUILTIN_LNAV_SCRIPTS
-        scripts/dhclient-summary.lnav scripts/lnav-pop-view.lnav
-        scripts/partition-by-boot.lnav scripts/rename-stdin.lnav
-        scripts/search-for.lnav)
+        scripts/dhclient-summary.lnav
+        scripts/docker-url-handler.lnav
+        scripts/journald-url-handler.lnav
+        scripts/lnav-pop-view.lnav
+        scripts/partition-by-boot.lnav
+        scripts/piper-url-handler.lnav
+        scripts/rename-stdin.lnav
+        scripts/search-for.lnav
+)
 
 set(BUILTIN_LNAV_SCRIPT_PATHS ${BUILTIN_LNAV_SCRIPTS})
 
@@ -204,8 +251,7 @@
         DEPENDS bin2c ${BUILTIN_LNAV_SCRIPTS})
 list(APPEND GEN_SRCS builtin-scripts.h builtin-scripts.cc)
 
-set(BUILTIN_SH_SCRIPTS scripts/dhclient-summary.lnav scripts/lnav-pop-view.lnav
-        scripts/partition-by-boot.lnav scripts/search-for.lnav)
+set(BUILTIN_SH_SCRIPTS scripts/com.vmware.btresolver.py scripts/dump-pid.sh scripts/pcap_log-converter.sh)
 
 set(BUILTIN_SH_SCRIPT_PATHS ${BUILTIN_SH_SCRIPTS})
 
@@ -237,6 +283,13 @@
         fmtlib/fmt/xchar.h
 )
 target_include_directories(cppfmt PUBLIC fmtlib)
+
+add_library(
+        datepp STATIC
+        third-party/date/src/tz.cpp
+)
+target_include_directories(datepp PUBLIC third-party/date/include)
+target_link_libraries(datepp ${lnav_LIBS})
 
 add_library(
         cppscnlib STATIC
@@ -293,58 +346,3 @@
         third-party/scnlib/include/scn/detail/result.h
         third-party/scnlib/include/scn/detail/visitor.h
         third-party/scnlib/include/scn/detail/args.h
-        third-party/scnlib/include/scn/detail/parse_context.h
-        third-party/scnlib/include/scn/detail/vectored.h
-        third-party/scnlib/include/scn/scn.h
-        third-party/scnlib/include/scn/istream.h
-)
-target_include_directories(cppscnlib PRIVATE third-party/scnlib/src/deps/fast_float/single_include)
-target_include_directories(cppscnlib PUBLIC third-party/scnlib/include)
-
-add_library(
-        base64 STATIC
-        third-party/base64/lib/lib.c
-        third-party/base64/lib/arch/generic/codec.c
-        third-party/base64/lib/tables/tables.c
-)
-target_include_directories(base64 PRIVATE third-party/base64/lib)
-target_include_directories(base64 PUBLIC third-party/base64/include)
-
-add_library(
-        spookyhash STATIC
-        spookyhash/SpookyV2.cpp
-)
-
-add_library(lnavfileio STATIC
-        grep_proc.hh
-        line_buffer.hh
-        pollable.hh
-        shared_buffer.hh
-
-        grep_proc.cc
-        line_buffer.cc
-        pollable.cc
-        shared_buffer.cc
-        )
-target_include_directories(lnavfileio PRIVATE . ${CMAKE_CURRENT_BINARY_DIR})
-target_link_libraries(lnavfileio cppfmt spookyhash pcrepp base BZip2::BZip2 ZLIB::ZLIB)
-
-add_library(
-        diag STATIC
-        ${GEN_SRCS}
-        config.h.in
-        all_logs_vtab.cc
-        archive_manager.cc
-        document.sections.cc
-        bin2c.hh
-        bookmarks.cc
-        bottom_status_source.cc
-        breadcrumb_curses.cc
-        collation-functions.cc
-        column_namer.cc
-        command_executor.cc
-        curl_looper.cc
-        db_sub_source.cc
-        dump_internals.cc
-        elem_to_json.cc
-        environ_vtab.cc
