=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
         ansi_scrubber.cc
         attr_line.cc
         attr_line.builder.cc
+        auto_fd.cc
         auto_pid.cc
+        color_spaces.cc
         date_time_scanner.cc
         fs_util.cc
         humanize.cc
@@ -18,6 +20,7 @@
         lnav_log.cc
         network.tcp.cc
         paths.cc
+        piper.file.cc
         snippet_highlighters.cc
         string_attr_type.cc
         string_util.cc
@@ -25,14 +28,18 @@
         time_util.cc
 
         ansi_scrubber.hh
+        ansi_vars.hh
         attr_line.hh
         attr_line.builder.hh
         auto_fd.hh
         auto_mem.hh
         auto_pid.hh
         bus.hh
+        color_spaces.hh
+        date_time_scanner.cfg.hh
         date_time_scanner.hh
         enum_util.hh
+        from_trait.hh
         fs_util.hh
         func_util.hh
         future_util.hh
@@ -45,26 +52,32 @@
         is_utf8.hh
         isc.hh
         itertools.hh
+        keycodes.hh
+        line_range.hh
         lnav.console.hh
         lnav.console.into.hh
         log_level_enum.hh
         lrucache.hpp
+        map_util.hh
         math_util.hh
         network.tcp.hh
         paths.hh
+        piper.file.hh
         result.h
         snippet_highlighters.hh
         string_attr_type.hh
         strnatcmp.h
         time_util.hh
+        types.hh
 
         ../third-party/xxHash/xxhash.h
         ../third-party/xxHash/xxhash.c
 )
 
 target_include_directories(base PUBLIC . .. ../third-party
+        ../third-party/date/include
         ${CMAKE_CURRENT_BINARY_DIR}/..)
-target_link_libraries(base cppfmt cppscnlib pcrepp ncurses::libcurses pthread)
+target_link_libraries(base cppfmt cppscnlib pcrepp ncurses::libcurses pthread lnavdt datepp)
 
 add_executable(
         test_base
