=== src/yajlpp/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 target_include_directories(yajlpp PUBLIC . .. ../fmtlib
         ${CMAKE_CURRENT_BINARY_DIR}/..)
-target_link_libraries(yajlpp pcrepp yajl ncurses::libcurses)
+target_link_libraries(yajlpp pcrepp yajl ncurses::libcurses datepp)
 
 add_executable(test_yajlpp test_yajlpp.cc)
 target_link_libraries(test_yajlpp yajlpp base ${lnav_LIBS})
