=== debian/changelog ===
lnav (0.12.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 27 Jul 2024 08:28:54 +0200

lnav (0.12.2-1~exp2) experimental; urgency=medium

  * try to address some test issues

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2024 22:20:40 +0200

lnav (0.12.2-1~exp1) experimental; urgency=medium

  * New upstream version 0.12.2
  * Refresh "Disable test_mvwattrline test"
  * Refresh "Disable failing test_vt52_curses test"
  * Refresh "Disable broken test_listview.sh test"
  * Add Build-Depends on libgpm-dev
  * Replace Build-Depends on libncurses{,w}5-dev with libncurses-dev
  * Disable test_config.sh test
  * Disable test_sql_json_func.sh test
  * Disable test_cli.sh test
  * Disable test_sql_str_func.sh test
  * Disable test_text_file.sh test
  * Update copyright years for upstream files
  * Declare compliance with Debian policy 4.7.0
  * Update copyright years for debian/* packaging files
  * debian/source: Add linian override for embedded-library check

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 May 2024 06:23:49 +0200
